local name, addon = ...
local parentName = addon['parentName'] or "BrokerPack"
local childName = "zz_Worldboss"
local defaults = {}
local nextCheck,delay = 0,60

local function event(self,event)
	if(event == 'GROUP_ROSTER_UPDATE') then
		if(nextCheck > GetTime()) then return end
		if(UnitLevel('player') > 87) then
			nextCheck = GetTime() + delay
			db['sha'][UnitName('player')] = IsQuestFlaggedCompleted(32099) and true or false
			db['galleon'][UnitName('player')] = IsQuestFlaggedCompleted(32098) and true or false
			db['nalak'][UnitName('player')] = IsQuestFlaggedCompleted(32518) and true or false
			db['oondasta'][UnitName('player')] = IsQuestFlaggedCompleted(32519) and true or false
		end
	end
end

local function OnTooltip()
  GameTooltip:ClearLines()
  GameTooltip:AddLine("Pandaria")
  for k, v in pairs(db['sha']) do
	GameTooltip:AddDoubleLine(k, addon['colorize']("Sha", db['sha'][k] and '00ff00' or 'ff0000').."/"..addon['colorize']("Galleon", db['galleon'][k] and '00ff00' or 'ff0000').."/"..addon['colorize']("Nalak", db['nalak'][k] and '00ff00' or 'ff0000').."/"..addon['colorize']("Oondasta", db['oondasta'][k] and '00ff00' or 'ff0000'))
  end
end

local function init()
	options = addon['InitConfig'](addon, childName, true, {
		['name'] = childName,
		['type'] = "launcher",
		['icon'] = "Interface\\Icons\\ability_monk_roll",
		['OnTooltipShow'] = OnTooltip,
	})
	db = addon['db']['profile'][childName]
	db['sha'] = db['sha'] or {}
	db['galleon'] = db['galleon'] or {}
	db['oondasta'] = db['oondasta'] or {}
	db['nalak'] = db['nalak'] or {}
	addon['RegisterFunc']({"GROUP_ROSTER_UPDATE"},"OnEvent", event)
	event(nil,"GROUP_ROSTER_UPDATE")
end

addon['startup'](addon, name, childName, init, true, defaults)